﻿using Infragistics.Controls.Editors;
using Infragistics.Controls.Editors.Primitives;
using Infragistics.Controls.Primitives;
using Infragistics.Documents.RichText;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RickTextEditor_Background
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            Style s = new Style(typeof(LayoutTransformer));
            s.Setters.Add(new EventSetter(LayoutTransformer.LoadedEvent, new RoutedEventHandler(MainWindow_Loaded)));
            Resources.Add(typeof(LayoutTransformer), s);

            InitializeComponent();

        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            XamRichTextEditor myEditor = Utilities.GetAncestorFromType((sender as DependencyObject), typeof(XamRichTextEditor), false) as XamRichTextEditor;
            RichDocumentViewPresenter myPresenter = Utilities.GetAncestorFromType((sender as DependencyObject), typeof(RichDocumentViewPresenter), false) as RichDocumentViewPresenter;
            Grid textAreaHostGrid = Utilities.GetDescendantFromName((sender as DependencyObject), "TextAreaHostGrid") as Grid;
            RichDocumentViewTextArea textArea = Utilities.GetDescendantFromName((sender as DependencyObject), "TextArea") as RichDocumentViewTextArea;

            if (myPresenter != null && myEditor != null && textAreaHostGrid != null && textArea != null)
            {
                textArea.Background = new SolidColorBrush(Colors.Transparent);
                myPresenter.Background = new SolidColorBrush(Colors.Transparent);
                myEditor.Background = new SolidColorBrush(Colors.Transparent);
                textAreaHostGrid.Background = new SolidColorBrush(Colors.Transparent);
            }
        }

         
        private void Button_Click(object sender, RoutedEventArgs e)
        {
           
            XamRichTextEditor xamRichTextEditor1 = new XamRichTextEditor();
            RichTextDocument doc = xamRichTextEditor1.Document;
            ParagraphNode pn = new ParagraphNode();
            pn.SetText("Some text");
            doc.RootNode.Body.ChildNodes.Add(pn);
            xamRichTextEditor1.Document = doc;
            this.RootGrid.Children.Add(xamRichTextEditor1);

            

        }
    }
}
